Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: Broken YaST

  1. #1
    Join Date
    Jun 2010
    Location
    London
    Posts
    572

    Exclamation Broken YaST

    Hi,

    Since last update (06/25/10) YaST & software management arnt working anymore. I can open YaST from console but It doesnt respond. When I do 'zypper dup' it gives error stating 'libelf.so.1: cannot open shared object file: No such file or directory'. Web package search is working but then it fails to reinstall YaST. I have only 8 repo's enabled with suseupdate, main oss, suse network utilities, non oss, mozilla, nVidia, packman and dvd.


    Best,

    David

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Broken YaST

    OK.
    zypper dup is used for distribution upgrades. I may have had you use this command to clean up some of your earlier issues and or to switch packages to a repo like packman. It's not for everyday use.

    Please do this as su -

    Code:
    rpmdb --rebuilddb
    It takes a moment or two.....

    Code:
    zypper verify
    Code:
    zypper in -f libelf
    Report back
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jun 2010
    Location
    London
    Posts
    572

    Lightbulb Re: Broken YaST

    zypper lr --detail

    Code:
    zypper lr --details
    # | Alias                                     | Name                                      | Enabled | Refresh | Priority | Type   | URI                                                                         | Service
    --+-------------------------------------------+-------------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------+--------
    1 | download.nvidia.com-opensuse              | NVIDIA Repository                         | Yes     | Yes     |   99     | rpm-md | ftp://download.nvidia.com/opensuse/11.2/                                    |
    2 | download.opensuse.org-non-oss             | Main Repository (NON-OSS)                 | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/11.2/repo/non-oss/                |
    3 | download.opensuse.org-oss_1               | Main Repository (Sources)                 | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/11.2/repo/oss/             |
    4 | http://download.opensuse.org/update/11.2/ | http://download.opensuse.org/update/11.2/ | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/11.2/                                   |
    5 | mozilla                                   | mozilla                                   | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_11.2/            |
    6 | network:utilities                         | network:utilities                         | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/network:/utilities/openSUSE_11.2/ |
    7 | openSUSE_11.2-0                           | openSUSE 11.2-0                           | Yes     | No      |   99     | yast2  | dvd:///                                                                     |
    8 | packman.inode.at-suse_1                   | Packman Repository                        | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/11.2/

  4. #4
    Join Date
    Jun 2010
    Location
    London
    Posts
    572

    Lightbulb Re: Broken YaST

    Quote Originally Posted by caf4926 View Post
    OK.
    zypper dup is used for distribution upgrades. I may have had you use this command to clean up some of your earlier issues and or to switch packages to a repo like packman. It's not for everyday use.

    Please do this as su -

    Code:
    rpmdb --rebuilddb
    It takes a moment or two.....

    Code:
    zypper verify
    Code:
    zypper in -f libelf
    Report back
    I guess I kinda fixed it - by doing '/sbin/ldconfig' now I am fixing broken ones with 'zypper dup'. So far I encountered 3 errors over k3b, libavutil, libass(its a good one) and half way thru.

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Broken YaST

    zypper dup
    will switch packages, possibly to ones you don't want.

    Once you have the YaST UI working you should use the package switch method on mozilla, packman
    Like this: http://tinyurl.com/yejwull

    And then, if you are using zypper later, just use zypper up to update
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6
    Join Date
    Jun 2010
    Location
    London
    Posts
    572

    Lightbulb Re: Broken YaST

    Quote Originally Posted by caf4926 View Post
    zypper dup
    will switch packages, possibly to ones you don't want.

    Once you have the YaST UI working you should use the package switch method on mozilla, packman
    Like this: http://tinyurl.com/yejwull

    And then, if you are using zypper later, just use zypper up to update
    Carl,

    Got it, I will let zypper get back to life first and then do a switch to packman. I tried some stuff earlier but it didnt work, had similar issue centos ones and sbin/ldconfig worked. Now at zypper works from console at least without giving the initial error.

    Best,

    David

  7. #7
    Join Date
    Jun 2010
    Location
    London
    Posts
    572

    Lightbulb Re: Broken YaST

    Quote Originally Posted by avenuemax View Post
    Carl,

    Got it, I will let zypper get back to life first and then do a switch to packman. I tried some stuff earlier but it didnt work, had similar issue centos ones and sbin/ldconfig worked. Now at zypper works from console at least without giving the initial error.

    Best,

    David
    Carl,

    I fixed it. Now making a switch.

    best,

    david

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Broken YaST

    Quote Originally Posted by avenuemax View Post
    Carl,

    I fixed it. Now making a switch.

    best,

    david
    Mozilla then Packman
    Just to make sure.

    Good luck
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Jun 2010
    Location
    London
    Posts
    572

    Lightbulb Re: Broken YaST

    Quote Originally Posted by caf4926 View Post
    Mozilla then Packman
    Just to make sure.

    Good luck
    Doing mozilla switch now. Tried to see packman but the dang thing wants me to deinstall loads of packages, will it be wise or it will affect the programs(gedit and gnome ones) that i want.

    best,

    david

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,738
    Blog Entries
    20

    Default Re: Broken YaST

    save the list to file with expert button and then post the info here
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 3 123 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •